searchData={"items":[{"type":"module","title":"LoopsEx","doc":"Elixir SDK for the Loops API (loops.so).","ref":"LoopsEx.html"},{"type":"module","title":"Modules - LoopsEx","doc":"* `LoopsEx.ApiKey` – test API key\n  * `LoopsEx.Contacts` – manage contacts\n  * `LoopsEx.ContactProperties` – manage contact properties\n  * `LoopsEx.MailingLists` – view mailing lists\n  * `LoopsEx.Events` – trigger events\n  * `LoopsEx.TransactionalEmails` – send/list transactional emails","ref":"LoopsEx.html#module-modules"},{"type":"module","title":"Usage - LoopsEx","doc":"","ref":"LoopsEx.html#module-usage"},{"type":"module","title":"Configuration - LoopsEx","doc":"Add the following to your `config/config.exs`:\n\n```elixir\nconfig :loops_ex,\n  api_key: \"your_api_key\"\n```","ref":"LoopsEx.html#module-configuration"},{"type":"module","title":"API Key Test - LoopsEx","doc":"```elixir\nLoopsEx.ApiKey.test()\n```","ref":"LoopsEx.html#module-api-key-test"},{"type":"module","title":"Examples - LoopsEx","doc":"iex> LoopsEx.ApiKey.test()\n    {:ok, %{\"success\" => true, \"teamName\" => \"MyTeam\"}}","ref":"LoopsEx.html#module-examples"},{"type":"function","title":"LoopsEx.api_key_test/0","doc":"","ref":"LoopsEx.html#api_key_test/0"},{"type":"function","title":"LoopsEx.create_contact/1","doc":"","ref":"LoopsEx.html#create_contact/1"},{"type":"function","title":"LoopsEx.create_property/1","doc":"","ref":"LoopsEx.html#create_property/1"},{"type":"function","title":"LoopsEx.delete_contact/1","doc":"","ref":"LoopsEx.html#delete_contact/1"},{"type":"function","title":"LoopsEx.find_contact/1","doc":"","ref":"LoopsEx.html#find_contact/1"},{"type":"function","title":"LoopsEx.hello/0","doc":"Hello world.","ref":"LoopsEx.html#hello/0"},{"type":"function","title":"Examples - LoopsEx.hello/0","doc":"iex> LoopsEx.hello()\n    :world","ref":"LoopsEx.html#hello/0-examples"},{"type":"function","title":"LoopsEx.list_mailing_lists/0","doc":"","ref":"LoopsEx.html#list_mailing_lists/0"},{"type":"function","title":"LoopsEx.list_properties/1","doc":"","ref":"LoopsEx.html#list_properties/1"},{"type":"function","title":"LoopsEx.list_transactional/1","doc":"","ref":"LoopsEx.html#list_transactional/1"},{"type":"function","title":"LoopsEx.send_event/1","doc":"","ref":"LoopsEx.html#send_event/1"},{"type":"function","title":"LoopsEx.send_transactional/1","doc":"","ref":"LoopsEx.html#send_transactional/1"},{"type":"function","title":"LoopsEx.update_contact/1","doc":"","ref":"LoopsEx.html#update_contact/1"},{"type":"module","title":"LoopsEx.ApiKey","doc":"Test your Loops API key.","ref":"LoopsEx.ApiKey.html"},{"type":"function","title":"LoopsEx.ApiKey.test/0","doc":"Test if the configured API key is valid.","ref":"LoopsEx.ApiKey.html#test/0"},{"type":"function","title":"Returns - LoopsEx.ApiKey.test/0","doc":"- `{:ok, %{\"success\" => true, \"teamName\" => team_name}}` when the key is valid.\n  - `{:error, {status_code, response_body}}` for HTTP errors (e.g., unauthorized).","ref":"LoopsEx.ApiKey.html#test/0-returns"},{"type":"module","title":"LoopsEx.Client","doc":"HTTP client for Loops API.","ref":"LoopsEx.Client.html"},{"type":"function","title":"LoopsEx.Client.client/0","doc":"Build a Tesla client for the Loops API.","ref":"LoopsEx.Client.html#client/0"},{"type":"function","title":"LoopsEx.Client.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"LoopsEx.Client.html#delete/3"},{"type":"function","title":"LoopsEx.Client.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"LoopsEx.Client.html#delete!/3"},{"type":"function","title":"LoopsEx.Client.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"LoopsEx.Client.html#get/3"},{"type":"function","title":"LoopsEx.Client.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"LoopsEx.Client.html#get!/3"},{"type":"function","title":"LoopsEx.Client.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"LoopsEx.Client.html#head/3"},{"type":"function","title":"LoopsEx.Client.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"LoopsEx.Client.html#head!/3"},{"type":"type","title":"LoopsEx.Client.json/0","doc":"Raw JSON map returned from API","ref":"LoopsEx.Client.html#t:json/0"},{"type":"type","title":"LoopsEx.Client.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"LoopsEx.Client.html#t:option/0"},{"type":"function","title":"LoopsEx.Client.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"LoopsEx.Client.html#options/3"},{"type":"function","title":"LoopsEx.Client.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"LoopsEx.Client.html#options!/3"},{"type":"function","title":"LoopsEx.Client.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"LoopsEx.Client.html#patch/4"},{"type":"function","title":"LoopsEx.Client.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"LoopsEx.Client.html#patch!/4"},{"type":"function","title":"LoopsEx.Client.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"LoopsEx.Client.html#post/4"},{"type":"function","title":"LoopsEx.Client.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"LoopsEx.Client.html#post!/4"},{"type":"function","title":"LoopsEx.Client.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"LoopsEx.Client.html#put/4"},{"type":"function","title":"LoopsEx.Client.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"LoopsEx.Client.html#put!/4"},{"type":"function","title":"LoopsEx.Client.request/2","doc":"Perform a request.","ref":"LoopsEx.Client.html#request/2"},{"type":"function","title":"Options - LoopsEx.Client.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyword list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"LoopsEx.Client.html#request/2-options"},{"type":"function","title":"Examples - LoopsEx.Client.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"LoopsEx.Client.html#request/2-examples"},{"type":"function","title":"LoopsEx.Client.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"LoopsEx.Client.html#request!/2"},{"type":"function","title":"LoopsEx.Client.request_api/4","doc":"Execute an API call.\n\n- method: HTTP method atom (e.g. :get, :post)\n- path: endpoint path (e.g. \"/contacts/create\")\n- body: JSON body map (default %{})\n- query: query params map (default %{})\n\nReturns `response()` tuple.","ref":"LoopsEx.Client.html#request_api/4"},{"type":"type","title":"LoopsEx.Client.response/0","doc":"Response type returned by Loops API calls","ref":"LoopsEx.Client.html#t:response/0"},{"type":"function","title":"LoopsEx.Client.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"LoopsEx.Client.html#trace/3"},{"type":"function","title":"LoopsEx.Client.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"LoopsEx.Client.html#trace!/3"},{"type":"module","title":"LoopsEx.ContactProperties","doc":"Manage contact properties in your account.","ref":"LoopsEx.ContactProperties.html"},{"type":"function","title":"LoopsEx.ContactProperties.create/1","doc":"Create a contact property.","ref":"LoopsEx.ContactProperties.html#create/1"},{"type":"function","title":"Example - LoopsEx.ContactProperties.create/1","doc":"iex> LoopsEx.ContactProperties.create(%{name: \"planName\", type: \"string\"})\n    {:ok, %{\"success\" => true}}","ref":"LoopsEx.ContactProperties.html#create/1-example"},{"type":"function","title":"LoopsEx.ContactProperties.list/1","doc":"List contact properties.","ref":"LoopsEx.ContactProperties.html#list/1"},{"type":"function","title":"Example - LoopsEx.ContactProperties.list/1","doc":"iex> LoopsEx.ContactProperties.list()\n    {:ok, [%{\"key\" => key, \"label\" => label, \"type\" => type}, ...]}","ref":"LoopsEx.ContactProperties.html#list/1-example"},{"type":"type","title":"LoopsEx.ContactProperties.response/0","doc":"Response type returned by Loops API calls","ref":"LoopsEx.ContactProperties.html#t:response/0"},{"type":"module","title":"LoopsEx.Contacts","doc":"Manage contacts in your audience.","ref":"LoopsEx.Contacts.html"},{"type":"function","title":"LoopsEx.Contacts.create/1","doc":"Create or upsert a contact in your Loops audience.","ref":"LoopsEx.Contacts.html#create/1"},{"type":"function","title":"Parameters - LoopsEx.Contacts.create/1","doc":"- `params` (map): contact data. Must include `\"email\"` or `\"userId\"`. Optional fields: `\"firstName\"`, `\"lastName\"`, custom properties.","ref":"LoopsEx.Contacts.html#create/1-parameters"},{"type":"function","title":"Returns - LoopsEx.Contacts.create/1","doc":"- `{:ok, %{\"success\" => true, \"id\" => id}}` on success.\n  - `{:error, {status_code, response_body}}` on failure.","ref":"LoopsEx.Contacts.html#create/1-returns"},{"type":"function","title":"Example - LoopsEx.Contacts.create/1","doc":"iex> LoopsEx.Contacts.create(%{\"email\" => \"john@example.com\", \"firstName\" => \"John\"})\n    {:ok, %{\"success\" => true, \"id\" => \"contact_id\"}}","ref":"LoopsEx.Contacts.html#create/1-example"},{"type":"function","title":"LoopsEx.Contacts.delete/1","doc":"Delete a contact by `\"email\"` or `\"userId\"`.","ref":"LoopsEx.Contacts.html#delete/1"},{"type":"function","title":"Parameters - LoopsEx.Contacts.delete/1","doc":"- `params` (map): provide only one of `\"email\"` or `\"userId\"`.","ref":"LoopsEx.Contacts.html#delete/1-parameters"},{"type":"function","title":"Returns - LoopsEx.Contacts.delete/1","doc":"- `{:ok, %{\"success\" => true, \"message\" => msg}}` on success.\n  - `{:error, {status_code, response_body}}` on failure.","ref":"LoopsEx.Contacts.html#delete/1-returns"},{"type":"function","title":"Example - LoopsEx.Contacts.delete/1","doc":"iex> LoopsEx.Contacts.delete(%{\"userId\" => \"user_123\"})\n    {:ok, %{\"success\" => true, \"message\" => \"Contact deleted.\"}}","ref":"LoopsEx.Contacts.html#delete/1-example"},{"type":"function","title":"LoopsEx.Contacts.find/1","doc":"Find contacts by `\"email\"` or `\"userId\"`.","ref":"LoopsEx.Contacts.html#find/1"},{"type":"function","title":"Parameters - LoopsEx.Contacts.find/1","doc":"- `params` (map): query params. Provide `\"email\"` or `\"userId\"`.","ref":"LoopsEx.Contacts.html#find/1-parameters"},{"type":"function","title":"Returns - LoopsEx.Contacts.find/1","doc":"- `{:ok, [contact_maps]}` on success.\n  - `{:error, {status_code, response_body}}` on failure.","ref":"LoopsEx.Contacts.html#find/1-returns"},{"type":"function","title":"Example - LoopsEx.Contacts.find/1","doc":"iex> LoopsEx.Contacts.find(%{\"email\" => \"john@example.com\"})\n    {:ok, [%{\"email\" => \"john@example.com\", ...}]}","ref":"LoopsEx.Contacts.html#find/1-example"},{"type":"type","title":"LoopsEx.Contacts.response/0","doc":"Response type returned by Loops API calls","ref":"LoopsEx.Contacts.html#t:response/0"},{"type":"function","title":"LoopsEx.Contacts.update/1","doc":"Update an existing contact by `\"email\"` or `\"userId\"`.","ref":"LoopsEx.Contacts.html#update/1"},{"type":"function","title":"Parameters - LoopsEx.Contacts.update/1","doc":"- `params` (map): fields to update. Must include `\"email\"` or `\"userId\"`.","ref":"LoopsEx.Contacts.html#update/1-parameters"},{"type":"function","title":"Returns - LoopsEx.Contacts.update/1","doc":"- `{:ok, %{\"success\" => true, \"id\" => id}}` on success.\n  - `{:error, {status_code, response_body}}` on failure.","ref":"LoopsEx.Contacts.html#update/1-returns"},{"type":"function","title":"Example - LoopsEx.Contacts.update/1","doc":"iex> LoopsEx.Contacts.update(%{\"email\" => \"john@example.com\", \"firstName\" => \"Jane\"})\n    {:ok, %{\"success\" => true, \"id\" => \"contact_id\"}}","ref":"LoopsEx.Contacts.html#update/1-example"},{"type":"module","title":"LoopsEx.Events","doc":"Trigger email sending with events.","ref":"LoopsEx.Events.html"},{"type":"type","title":"LoopsEx.Events.response/0","doc":"Response type returned by Loops API calls","ref":"LoopsEx.Events.html#t:response/0"},{"type":"function","title":"LoopsEx.Events.send_event/1","doc":"Send an event to trigger emails via Loops.","ref":"LoopsEx.Events.html#send_event/1"},{"type":"function","title":"Parameters - LoopsEx.Events.send_event/1","doc":"- `params` (map): must include:\n    - `email` or `userId` to identify the contact.\n    - `eventName` (string): the name of the event.\n    - Optional `eventProperties` (map): event-specific data.\n    - Optional `mailingLists` (map): mailing list subscriptions.","ref":"LoopsEx.Events.html#send_event/1-parameters"},{"type":"function","title":"Returns - LoopsEx.Events.send_event/1","doc":"- `{:ok, %{\"success\" => true}}` on success.\n  - `{:error, {status_code, response_body}}` on failure.","ref":"LoopsEx.Events.html#send_event/1-returns"},{"type":"function","title":"Example - LoopsEx.Events.send_event/1","doc":"iex> LoopsEx.Events.send_event(%{\n    \"email\" => \"john@example.com\",\n    \"eventName\" => \"signup\",\n    \"eventProperties\" => %{\"plan\" => \"Pro\"}\n    })\n    {:ok, %{\"success\" => true}}","ref":"LoopsEx.Events.html#send_event/1-example"},{"type":"module","title":"LoopsEx.MailingLists","doc":"View mailing lists in your account.","ref":"LoopsEx.MailingLists.html"},{"type":"function","title":"LoopsEx.MailingLists.list/0","doc":"Retrieve all mailing lists in your account.","ref":"LoopsEx.MailingLists.html#list/0"},{"type":"function","title":"Returns - LoopsEx.MailingLists.list/0","doc":"- `{:ok, [map()]}` where each map includes:\n    - `\"id\"` (string)\n    - `\"name\"` (string)\n    - `\"description\"` (string)\n    - `\"isPublic\"` (boolean)\n  - `{:error, {status_code, response_body}}` on failure.","ref":"LoopsEx.MailingLists.html#list/0-returns"},{"type":"function","title":"Example - LoopsEx.MailingLists.list/0","doc":"iex> LoopsEx.MailingLists.list()\n    {:ok, [%{\"id\" => \"list_123\", \"name\" => \"Main\", \"description\" => \"Desc\", \"isPublic\" => true}]}","ref":"LoopsEx.MailingLists.html#list/0-example"},{"type":"type","title":"LoopsEx.MailingLists.response/0","doc":"Response type returned by Loops API calls","ref":"LoopsEx.MailingLists.html#t:response/0"},{"type":"module","title":"LoopsEx.TransactionalEmails","doc":"Send and list transactional emails.","ref":"LoopsEx.TransactionalEmails.html"},{"type":"function","title":"LoopsEx.TransactionalEmails.list/1","doc":"List published transactional email templates.","ref":"LoopsEx.TransactionalEmails.html#list/1"},{"type":"function","title":"Parameters - LoopsEx.TransactionalEmails.list/1","doc":"- `params` (map): optional query params:\n    - `\"perPage\"` (string): number of items per page (10-50).\n    - `\"cursor\"` (string): pagination cursor.","ref":"LoopsEx.TransactionalEmails.html#list/1-parameters"},{"type":"function","title":"Returns - LoopsEx.TransactionalEmails.list/1","doc":"- `{:ok, [map()]}` list of templates on success.\n  - `{:error, {status_code, response_body}}` on HTTP error.","ref":"LoopsEx.TransactionalEmails.html#list/1-returns"},{"type":"function","title":"Example - LoopsEx.TransactionalEmails.list/1","doc":"iex> LoopsEx.TransactionalEmails.list(%{\"perPage\" => \"20\"})\n    {:ok, [%{\"id\" => \"tid123\", \"name\" => \"Welcome\", \"lastUpdated\" => \"...\", \"dataVariables\" => [\"name\"]}, ...]}","ref":"LoopsEx.TransactionalEmails.html#list/1-example"},{"type":"type","title":"LoopsEx.TransactionalEmails.response/0","doc":"Response type returned by Loops API calls","ref":"LoopsEx.TransactionalEmails.html#t:response/0"},{"type":"function","title":"LoopsEx.TransactionalEmails.send_transactional/1","doc":"Send a transactional email to a contact.","ref":"LoopsEx.TransactionalEmails.html#send_transactional/1"},{"type":"function","title":"Parameters - LoopsEx.TransactionalEmails.send_transactional/1","doc":"- `params` (map): must include:\n    - `\"email\"` (string): recipient email address.\n    - `\"transactionalId\"` (string): ID of the transactional template.\n    - Optional `\"addToAudience\"` (boolean).\n    - Optional `\"dataVariables\"` (map) for template variables.\n    - Optional `\"attachments\"` (list of maps) with keys `\"filename\"`, `\"contentType\"`, `\"data\"`.","ref":"LoopsEx.TransactionalEmails.html#send_transactional/1-parameters"},{"type":"function","title":"Returns - LoopsEx.TransactionalEmails.send_transactional/1","doc":"- `{:ok, %{\"success\" => true}}` on success.\n  - `{:error, {status_code, response_body}}` on HTTP error.","ref":"LoopsEx.TransactionalEmails.html#send_transactional/1-returns"},{"type":"function","title":"Example - LoopsEx.TransactionalEmails.send_transactional/1","doc":"iex> LoopsEx.TransactionalEmails.send_transactional(%{\n    ...>   \"email\" => \"john@example.com\",\n    ...>   \"transactionalId\" => \"tid123\",\n    ...>   \"dataVariables\" => %{\"name\" => \"John\"}\n    ...> })\n    {:ok, %{\"success\" => true}}","ref":"LoopsEx.TransactionalEmails.html#send_transactional/1-example"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}